
public class Position {

	protected int xwert;
	protected int ywert;

	public Position(int i, int j){
		xwert=i;
		ywert=j;
	}
	
	public int getx(){
		return xwert;
	}
	
	public int gety(){
		return ywert;
	}
	
	public void setX(int i){
		xwert=i;
	}
	
	public void setY(int i){
		ywert=i;
	}
	
	public boolean equal(Position b){
		boolean wert=false;
		if(this.getx()==b.getx() && this.gety()==b.gety()){
			wert = true;
		}
		return wert;
	}
	
	public boolean equal(int i, int j){
		boolean wert = false;
		if(this.getx()==i && this.gety()==j){
			wert = true;
		}
		return wert;
	}
	
	public void print(){
		System.out.println(this.getx()+", "+this.gety());
	}

	public void copy(Position e) {
		this.setX(e.getx());
		this.setY(e.gety());
	}
}
